Loading...
Searching...
No Matches
elastix::ReducedDimensionBSplineInterpolator< TElastix > Class Template Reference
Components » Interpolators

`#include <elxReducedDimensionBSplineInterpolator.h>`

## Detailed Description

template<class TElastix>
class elastix::ReducedDimensionBSplineInterpolator< TElastix >

An interpolator based on the itkReducedDimensionBSplineInterpolateImageFunction.

This interpolator interpolates images with an underlying B-spline polynomial. It only interpolates in the InputImageDimension - 1 dimensions of the image.

The parameters used in this class are:

Parameters

  Interpolator: Select this interpolator as follows:
  (Interpolator "ReducedDimensionBSplineInterpolator")

  BSplineInterpolationOrder: the order of the B-spline polynomial.
  example: (BSplineInterpolationOrder 1 1 1)
  The default order is 1. The parameter can be specified for each resolution.
  If only given for one resolution, that value is used for the other resolutions as well.
  Currently only first order B-spline interpolation is supported.

Definition at line 48 of file elxReducedDimensionBSplineInterpolator.h.

Inheritance diagram for elastix::ReducedDimensionBSplineInterpolator< TElastix >:
[legend]

## Public Types

using | ConstPointer = itk::SmartPointer<const Self>
using | ITKBaseType = typename Superclass2::ITKBaseType
using | Pointer = itk::SmartPointer<Self>
using | Self = ReducedDimensionBSplineInterpolator
using | Superclass1
using | Superclass2 = InterpolatorBase<TElastix>
Public Types inherited from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >
using | CoefficientDataType = TCoefficientType
using | CoefficientFilter = MultiOrderBSplineDecompositionImageFilter<TImageType, CoefficientImageType>
using | CoefficientFilterPointer = typename CoefficientFilter::Pointer
using | CoefficientImageType = Image<CoefficientDataType, Self::ImageDimension>
using | ConstPointer = SmartPointer<const Self>
using | CovariantVectorType = CovariantVector<OutputType, Self::ImageDimension>
using | Pointer = SmartPointer<Self>
using | Self = ReducedDimensionBSplineInterpolateImageFunction
using | SizeType = typename TImageType::SizeType
using | Superclass = InterpolateImageFunction<TImageType, TCoordRep>
Public Types inherited from elastix::InterpolatorBase< TElastix >
using | CoordRepType = ElastixBase::CoordRepType
using | ElastixType
using | InputImageType = typename ElastixType::MovingImageType
using | ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>
using | RegistrationType
using | Self = InterpolatorBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

void | BeforeEachResolution () override
| elxClassNameMacro ("ReducedDimensionBSplineInterpolator")
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (ReducedDimensionBSplineInterpolator)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass1::ImageDimension)
Public Member Functions inherited from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >
OutputType | EvaluateAtContinuousIndex (const ContinuousIndexType &index) const override
CovariantVectorType | EvaluateDerivative (const PointType &point) const
CovariantVectorType | EvaluateDerivativeAtContinuousIndex (const ContinuousIndexType &x) const
virtual int | GetSplineOrder () const
virtual bool | GetUseImageDirection () const
| ITK_DISALLOW_COPY_AND_MOVE (ReducedDimensionBSplineInterpolateImageFunction)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass::ImageDimension)
void | SetInputImage (const TImageType *inputData) override
void | SetSplineOrder (unsigned int SplineOrder)
virtual void | SetUseImageDirection (bool _arg)
virtual void | UseImageDirectionOff ()
virtual void | UseImageDirectionOn ()
Public Member Functions inherited from elastix::InterpolatorBase< TElastix >
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
| ITK_DISALLOW_COPY_AND_MOVE (InterpolatorBase)
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistration ()
virtual void | BeforeRegistrationBase ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >
static Pointer | New ()
Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()

## Protected Member Functions

| ReducedDimensionBSplineInterpolator ()=default
| ~ReducedDimensionBSplineInterpolator () override=default
Protected Member Functions inherited from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >
void | PrintSelf (std::ostream &os, Indent indent) const override
| ReducedDimensionBSplineInterpolateImageFunction ()
| ~ReducedDimensionBSplineInterpolateImageFunction () override=default
Protected Member Functions inherited from elastix::InterpolatorBase< TElastix >
| InterpolatorBase ()=default
| ~InterpolatorBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Attributes

| elxOverrideGetSelfMacro

## Additional Inherited Members

Protected Attributes inherited from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >
CoefficientImageType::ConstPointer | m_Coefficients {}
TImageType::SizeType | m_DataLength {}
unsigned int | m_SplineOrder {}
Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## ConstPointer

template<class TElastix>

using elastix::ReducedDimensionBSplineInterpolator< TElastix >::ConstPointer = itk::SmartPointer<const Self>

Definition at line 66 of file elxReducedDimensionBSplineInterpolator.h.

## ITKBaseType

template<class TElastix>

using elastix::ReducedDimensionBSplineInterpolator< TElastix >::ITKBaseType = typename Superclass2::ITKBaseType

Definition at line 98 of file elxReducedDimensionBSplineInterpolator.h.

## Pointer

template<class TElastix>

using elastix::ReducedDimensionBSplineInterpolator< TElastix >::Pointer = itk::SmartPointer<Self>

Definition at line 65 of file elxReducedDimensionBSplineInterpolator.h.

## Self

template<class TElastix>

using elastix::ReducedDimensionBSplineInterpolator< TElastix >::Self = ReducedDimensionBSplineInterpolator

Standard ITK-stuff.

Definition at line 59 of file elxReducedDimensionBSplineInterpolator.h.

## Superclass1

template<class TElastix>

using elastix::ReducedDimensionBSplineInterpolator< TElastix >::Superclass1

Initial value:
itk::ReducedDimensionBSplineInterpolateImageFunction<typename InterpolatorBase<TElastix>::InputImageType,
typename InterpolatorBase<TElastix>::CoordRepType,
double>
elastix::InterpolatorBase::CoordRepType
ElastixBase::CoordRepType CoordRepType
Definition elxInterpolatorBase.h:62
itk::ReducedDimensionBSplineInterpolateImageFunction
Evaluates the B-Spline interpolation of an image. Spline order may be from 0 to 5.
Definition itkReducedDimensionBSplineInterpolateImageFunction.h:87

Definition at line 60 of file elxReducedDimensionBSplineInterpolator.h.

## Superclass2

template<class TElastix>

using elastix::ReducedDimensionBSplineInterpolator< TElastix >::Superclass2 = InterpolatorBase<TElastix>

Definition at line 64 of file elxReducedDimensionBSplineInterpolator.h.

## Constructor & Destructor Documentation

## ReducedDimensionBSplineInterpolator()

template<class TElastix>

elastix::ReducedDimensionBSplineInterpolator< TElastix >::ReducedDimensionBSplineInterpolator | ( |  | ) |

protected default

The constructor.

## ~ReducedDimensionBSplineInterpolator()

template<class TElastix>

elastix::ReducedDimensionBSplineInterpolator< TElastix >::~ReducedDimensionBSplineInterpolator | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## BeforeEachResolution()

template<class TElastix>

void elastix::ReducedDimensionBSplineInterpolator< TElastix >::BeforeEachResolution | ( |  | ) |

override virtual

Execute stuff before each new pyramid resolution:

- Set the spline order.

Reimplemented from elastix::BaseComponent.

## elxClassNameMacro()

template<class TElastix>

elastix::ReducedDimensionBSplineInterpolator< TElastix >::elxClassNameMacro | ( | "ReducedDimensionBSplineInterpolator< TElastix >" |  | ) |

Name of this class. Use this name in the parameter file to select this specific interpolator.
example: (Interpolator "ReducedDimensionBSplineInterpolator")

## GetClassName()

template<class TElastix>

virtual const char * elastix::ReducedDimensionBSplineInterpolator< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::ReducedDimensionBSplineInterpolator< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | ReducedDimensionBSplineInterpolator< TElastix > |  | ) |

## itkStaticConstMacro()

template<class TElastix>

elastix::ReducedDimensionBSplineInterpolator< TElastix >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | Superclass1::ImageDimension | )

Get the ImageDimension.

## New()

template<class TElastix>

Pointer elastix::ReducedDimensionBSplineInterpolator< TElastix >::New | ( |  | ) |

static

Method for creation through the object factory.

## Field Documentation

## elxOverrideGetSelfMacro

template<class TElastix>

elastix::ReducedDimensionBSplineInterpolator< TElastix >::elxOverrideGetSelfMacro

private

Definition at line 113 of file elxReducedDimensionBSplineInterpolator.h.

Generated on 1768596610 for elastix by 1.15.0 |